#! /bin/sh -efu

#
# Moodle MySQL tools
#
# @package   mt-MySQL
# @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
# @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
#

PROG="${0##*/}"

PATH="%_sbindir:$PATH"

dbname='moodle'
dbuser='moodleuser'
dbpass=''
setpass=

. shell-error

TEMP=`getopt -n "$PROG" -o n:,u:,p: -l dbname:,dbuser:,dbpass: -- "$@"`
eval set -- "$TEMP"

while :; do
	case "$1" in
		--)
			shift
			break
			;;
		-d|--dbname)
			shift
			dbname="$1"
			;;
		-u|--dbuser)
			shift
			dbuser="$1"
			;;
		-p|--dbpass)
			shift
			dbpass="$1"
			setpass='yes'
			;;
		*) fatal "Unrecognized option: $1"
			;;
	esac
	shift
done

if ! mt-MySQL-checkdb --dbname "$dbname" -- $@ >/dev/null; then
	mt-MySQL-createdb --dbname "$dbname" -- $@
fi

mt-MySQL-setdbuser --dbname "$dbname" --dbuser="$dbuser" ${setpass:+--dbpass="$dbpass"} -- $@
